#include "bptt.h"

void ctrl_c_handler ()
{
  turn_on_output ();
  if (!isatty(0))
    {
      fprintf (stderr,"\n\nProgram Aborted\n\n");
      exit (0);
    }
  fprintf (OUT,"\n");
  AT_EDITOR = NULL;
  longjmp (ENV,0);
}

void continue_from_suspend ()
{
  if (WAS_AT_PROMPT) longjmp (ENV,0);
}

void bus_error_handler ()
{
  freopen (TERMINAL_OUT, "w", stdout);
  fprintf (stderr, "\n\n\nHONK!  HONK!  HONK! Bus Error Occured\n\n");
  fprintf (stderr, "Warning: Continue at your own risk!\n");
  fprintf (stderr, "         restarting BPTT highly recommended\n\n");
  longjmp (ENV,0);
}
